Bug 102922 - Password fields should use “•” as masking character instead of “*”
Summary: Password fields should use “•” as masking character instead of “*”
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium trivial
Assignee: Ilya Ponamarev
URL:
Whiteboard: target:5.3.0
Keywords: difficultyBeginner, easyHack, needsDevEval, skillCpp, topicCleanup
Depends on:
Blocks: Dialog
  Show dependency treegraph
 
Reported: 2016-10-03 00:04 UTC by Adolfo Jayme
Modified: 2016-10-05 20:00 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adolfo Jayme 2016-10-03 00:04:25 UTC
Asterisks have long been replaced by bullets in password fields in most software out there, at least since the Windows XP era. LibreOffice’s authentication dialogs (e.g., Remote Files) still use asterisks though, contributing to an outdated look.

I was reminded of this due to the latest logo update by LastPass, in which they do this exact change due to apparent associations with profanity censoring, something people use asterisks for. [1]

The Unicode value for the password bullet (from GNOME) is U+2022. This character is well supported in UI fonts from every platform we run on.

[1] http://www.underconsideration.com/brandnew/archives/new_logo_for_lastpass.php
Comment 1 V Stuart Foote 2016-10-03 00:15:33 UTC
OK, a reasonable change.
Comment 2 Heiko Tietze 2016-10-03 07:27:09 UTC
UX approved, EasyHack proposed. 
Not sure if that requires cpp at all. It's a monkey task having a code pointer...
Comment 3 Ilya Ponamarev 2016-10-04 23:29:59 UTC
Starting work on this bug. The change is required in vcl/source/control/edit.cxx
Comment 4 Ilya Ponamarev 2016-10-05 19:26:51 UTC
Pull request created - https://gerrit.libreoffice.org/#/c/29532/
Comment 5 Commit Notification 2016-10-05 19:56:51 UTC
Ilya Ponamarev committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=664363eeb6d039fbb82d0afe3dcdecbefeff03da

tdf#102922: Password fields should use u2022 as masking character instead of *

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.